@echo off
REM %%VER NetWare DOS ODI Drivers Installation Utility Program v1.0d

REM ******************************************************************

REM    Updates FDDILink  ODI network adapter drivers in a NW 386 system
REM    Format: From the \NETWARE subdirectory,
REM             > odi\update [target_drive:]  

REM ******************************************************************

..\install\echoxy 12 10    Installing NetWare DOS ODI driver files in %1             
..\install\echoxy 14 10                                                    
..\install\echoxy 16 10                                                    

REM  clear the next line and set up the cursor, so we can display the
REM  error message correctly.
..\install\echoxy 21 10                                                       
..\install\echoxy 21 10    

set update=n

REM  see if the path exist
REM
copy ..\install\tmp.$ %1 > nul
if not exist %1\*.* goto errmsg1
del %1\tmp.$ > nul
REM clear the error message
..\install\echoxy 21 10                                                       

REM  install DOS ODI drivers
REM
                                          
if not exist %1\3c770.com goto ST1
copy %1\3c770.com %1\3c770.old > nul
set update=y
:ST1
copy  odi\3c770.com %1\3c770.com > nul

if not exist %1\rsmt.com goto ST2
copy %1\rsmt.com %1\rsmt.old > nul
set update=y
:ST2
copy  ..\mslanman.dos\drivers\fddi\3c770\rsmt.com %1\rsmt.com > nul

if not exist %1\smt.exe goto ST3
copy %1\smt.exe %1\smt.old > nul
set update=y
:ST3
copy  ..\mslanman.dos\drivers\fddi\3c770\smt.exe %1\smt.exe > nul

REM  Copy the DOS16M.386 file
copy  odi\dos16m.386 %1\dos16m.386 > nul

REM  Copy the example batch file
copy  odi\example.bat %1\example.bat > nul

if %update%==y goto UPDATEDONE

..\install\echoxy 14 13 The NetWare DOS ODI FDDILink drivers have been installed
..\install\echoxy 15 13 in %1.
..\install\echoxy 18 13 Please reference "Important Readme / Release Notes"
..\install\echoxy 19 13 in MAIN MENU for detail on how to load the drivers.
..\install\echoxy 22 13 Strike any key to return to the NetWare Menu.  
..\install\reply
netware

:UPDATEDONE
..\install\echoxy 14 13 The NetWare DOS ODI FDDILink drivers in %1
..\install\echoxy 15 13 have been updated. The older ".com" ".exe" drivers
..\install\echoxy 16 13 have been copied to files with the extension ".old" .
..\install\echoxy 18 13 Please reference "Important Readme / Release Notes"
..\install\echoxy 19 13 in MAIN MENU for detail on how to load the drivers.
..\install\echoxy 22 13 Strike any key to return to the NetWare Menu.  
..\install\reply
netware

:errmsg1
REM specified path not exist, tmp.$ has been copied to %1 file
REM so delete it

REM  clear the next line and set up the cursor, so we can display the
REM  "Invalid driver specification" error message correctly.
..\install\echoxy 21 10                                                       
..\install\echoxy 21 10    
del %1 > nul

:errmsg

..\install\echoxy 17 13      *** Error:  No Files Were Installed! ***	       
..\install\echoxy 18 13 Make sure that you have entered the correct path
..\install\echoxy 19 13 and that you have access rights to the files.
..\install\echoxy 22 13 Strike any key to return to the NetWare Menu.
..\install\reply
netware



